<div class="modal-header py-3 ps-3 pe-4">
	<div>
		<h5 class="modal-title m-0">{{'cabinet.addKey' | translate}}</h5>
		<h6 class="m-0 text-secondary">{{'cabinet.reason' | translate}}</h6>
	</div>
	<div style="margin-top: 0.475em">
		<button (click)="activeModal.close('Ok click')" class="btn-close"></button>
	</div>
</div>

<div class="modal-body mb-5">
	<form *ngIf="!files" class="mt-2 mb-4">
		<label class="d-block">
			{{'cabinet.key' | translate}}
			<input (change)="fileOnChange($event)" type="file">
			<div class="input-file">{{'cabinet.choose' | translate}}
				<h4 class="bi bi-paperclip custom-clip m-0"></h4>
			</div>
		</label>
	</form>

	<div *ngIf="files" class="mt-2 mb-5">
		<div class="d-flex justify-content-between">
			<label class="mb-2">{{'cabinet.key' | translate}}</label>
			<label class="text-secondary change-file">{{'cabinet.chooseAnother' | translate}}
				<input (change)="fileOnChange($event)" type="file">
			</label>
		</div>

		<ul class="p-0 m-0">
			<li *ngFor="let file of files">
				<div class="eds-box">
					<div class="folder-key"></div>
					{{file.name}}
				</div>
			</li>
		</ul>
	</div>
</div>
<div class="modal-footer">
	<button class="btn btn-dark w-100" (click)="sendKey()" [disabled]="!files">{{'cabinet.add' | translate}}</button>
</div>